Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 17233 - baselayout compile failed using distcc crosscompile
Summary: baselayout compile failed using distcc crosscompile
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Martin Schlemmer (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-03-10 12:02 UTC by Tom Ward
Modified: 2003-04-06 11:12 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
patch to correct called name of gcc (baselayout-1.8.5.8.ebuild-xdistcc.patch,493 bytes, patch)
2003-03-10 12:05 UTC, Tom Ward
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Ward 2003-03-10 12:02:51 UTC
compiling with distcc clients on different architectures requires a fully qualified call to 
gcc etc (ie. powerpc-unknown-linux-gcc) otherwise the incorrect compiler is used. 
Patch to correct attached.
Comment 1 Tom Ward 2003-03-10 12:05:17 UTC
Created attachment 9217 [details, diff]
patch to correct called name of gcc
Comment 2 Martin Schlemmer (RETIRED) gentoo-dev 2003-03-10 21:49:56 UTC
If any fix, then rather this:

---------------------------------------------------
Index: baselayout-1.8.6.3.ebuild
===================================================================
RCS file: /home/cvsroot/gentoo-x86/sys-apps/baselayout/baselayout-1.8.6.3.ebuild,v
retrieving revision 1.1
diff -u -r1.1 baselayout-1.8.6.3.ebuild
--- baselayout-1.8.6.3.ebuild	9 Mar 2003 09:58:24 -0000	1.1
+++ baselayout-1.8.6.3.ebuild	11 Mar 2003 02:49:06 -0000
@@ -99,12 +99,14 @@
 
 src_compile() {
 
+	[ -z "${CC}" ] && CC="gcc"
+
 	cp ${S}/sbin/runscript.c ${T}
 	cp ${S}/sbin/start-stop-daemon.c ${T}
 
 	cd ${T}
-	gcc ${CFLAGS} runscript.c -o runscript || die "cant compile runscript.c"
-	gcc ${CFLAGS} start-stop-daemon.c -o start-stop-daemon || die "cant compile start-stop-daemon.c"
+	${CC} ${CFLAGS} runscript.c -o runscript || die "cant compile runscript.c"
+	${CC} ${CFLAGS} start-stop-daemon.c -o start-stop-daemon || die "cant compile start-stop-daemon.c"
 	echo ${ROOT} > ${T}/ROOT
 
 	if [ -z "`use build`" ]
@@ -112,14 +114,17 @@
 		# Build sysvinit stuff
 		cd ${S2}
 		einfo "Building sysvinit..."
-		emake LDFLAGS="" || die "problem compiling sysvinit"
+		emake CC="${CC}" \
+			LD="${CC}" \
+			LDFLAGS="" || die "problem compiling sysvinit"
 
 		if [ -f /usr/include/awk/awk.h ]
 		then
 			# Build gawk module
 			cd ${S}/src
 			einfo "Building awk module..."
-			make || {
+			make CC="${CC}" \
+				LD="${CC}" || {
 				eerror "Failed to build gawk module.  Make sure you have"
 				eerror "sys-apps/gawk-3.1.1-r1 or later installed"
 				die "problem compiling gawk module"
Comment 3 Martin Schlemmer (RETIRED) gentoo-dev 2003-04-06 11:12:04 UTC
Fixed in baselayout-1.8.6.4.